curl -X GET "https://api-integration.ollang.com/integration/orders/figma?fileKey=UwNAtPYAu5JPIhFc03M71h" \
-H "X-Api-Key: <your-api-key>"
const fileKey = "UwNAtPYAu5JPIhFc03M71h";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/figma?fileKey=${fileKey}`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const orders = await response.json();
console.log(orders);
import requests
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders/figma',
headers=headers,
params={'fileKey': 'UwNAtPYAu5JPIhFc03M71h'}
)
orders = response.json()
print(orders)
[
{
"id": "60b8d6f1e1b9b1d8c6c0d8e3",
"status": "completed",
"targetLanguage": "fr",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → FR",
"reviewInfo": null
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e4",
"status": "review",
"targetLanguage": "de",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → DE",
"reviewInfo": {
"teamTagName": "Medical Review",
"teamTagColor": "#FF5733",
"reviewType": "assignment"
}
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e5",
"status": "ongoing",
"targetLanguage": "tr",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → TR",
"reviewInfo": null
}
]
[]
Ollang API Reference
Get Figma Orders
List all translation orders for a Figma file
GET
/
integration
/
orders
/
figma
curl -X GET "https://api-integration.ollang.com/integration/orders/figma?fileKey=UwNAtPYAu5JPIhFc03M71h" \
-H "X-Api-Key: <your-api-key>"
const fileKey = "UwNAtPYAu5JPIhFc03M71h";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/figma?fileKey=${fileKey}`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const orders = await response.json();
console.log(orders);
import requests
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders/figma',
headers=headers,
params={'fileKey': 'UwNAtPYAu5JPIhFc03M71h'}
)
orders = response.json()
print(orders)
[
{
"id": "60b8d6f1e1b9b1d8c6c0d8e3",
"status": "completed",
"targetLanguage": "fr",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → FR",
"reviewInfo": null
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e4",
"status": "review",
"targetLanguage": "de",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → DE",
"reviewInfo": {
"teamTagName": "Medical Review",
"teamTagColor": "#FF5733",
"reviewType": "assignment"
}
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e5",
"status": "ongoing",
"targetLanguage": "tr",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → TR",
"reviewInfo": null
}
]
[]
Retrieve all translation orders associated with a specific Figma file. Orders are returned sorted by creation date (newest first) and include review info when an order is at a review gate.
curl -X GET "https://api-integration.ollang.com/integration/orders/figma?fileKey=UwNAtPYAu5JPIhFc03M71h" \
-H "X-Api-Key: <your-api-key>"
const fileKey = "UwNAtPYAu5JPIhFc03M71h";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/figma?fileKey=${fileKey}`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const orders = await response.json();
console.log(orders);
import requests
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
'https://api-integration.ollang.com/integration/orders/figma',
headers=headers,
params={'fileKey': 'UwNAtPYAu5JPIhFc03M71h'}
)
orders = response.json()
print(orders)
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
Query Parameters
string
required
The Figma file key to look up orders for. Only orders whose project contains a document with this file key will be returned.
Response
Returns an array of order objects.string
The unique order identifier.
string
Current order status:
ongoing, review, waitingForApprove, completed, delivered, pending, revision.string
The target language code for this order.
string
ISO 8601 timestamp of when the order was created.
string
The display name of the order.
object
[
{
"id": "60b8d6f1e1b9b1d8c6c0d8e3",
"status": "completed",
"targetLanguage": "fr",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → FR",
"reviewInfo": null
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e4",
"status": "review",
"targetLanguage": "de",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → DE",
"reviewInfo": {
"teamTagName": "Medical Review",
"teamTagColor": "#FF5733",
"reviewType": "assignment"
}
},
{
"id": "60b8d6f1e1b9b1d8c6c0d8e5",
"status": "ongoing",
"targetLanguage": "tr",
"createdAt": "2026-08-19T10:30:00.000Z",
"orderName": "My Design → TR",
"reviewInfo": null
}
]
[]
Was this page helpful?